Subject: bug#32965: ‘./gradlew’ fails to compile after Icedtea upgrade

From: Mathieu Lirzin <[email-masked]>
Date: Sun, 07 Oct 2018 11:33:40 +0200

Hello,

For about 2-3 months doing ‘guix package -u icedtea’ makes the ‘gradle’
build process of a software I am using at work fail.

Here is the output I get:

--8<---------------cut here---------------start------------->8---
$ ./gradlew
:compileJava UP-TO-DATE
:processResources UP-TO-DATE
:classes UP-TO-DATE
:jar UP-TO-DATE
:assemble UP-TO-DATE
:compileTestJava FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':compileTestJava'.
> Could not find tools.jar. Please check that /gnu/store/3b3p13yq4x2db2b5hh47mwazyhy7pp8k-icedtea-3.7.0 contains a valid JDK installation.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 3.407 secs
--8<---------------cut here---------------end--------------->8---

Fortunately I am able to roll back, and every thing is fine after that!
However since this issue seems to persist I would like it to be fixed to
be able to drop the ‘--do-not-upgrade=icedtea’ option I am adding every
time I am upgrading.

For now I have no clue regarding the origin of the problem which can be
reproduced from guix e90ce11 with the following commands:

  $ wget http://www-eu.apache.org/dist/ofbiz/apache-ofbiz-16.11.05.zip
  $ unzip apache-ofbiz-16.11.05.zip
  $ cd apache-ofbiz-16.11.05
  $ ./gradlew

Unfortunately the generation manifest containing the working jdk
predates the channel and inferior features so I can't easily describe
how to reproduce the working scenario.  The faulty generation diff is
the following:

--8<---------------cut here---------------start------------->8---
Generation 133	Oct 06 2018 23:43:20	(current)
 + icedtea	3.7.0	out	/gnu/store/3b3p13yq4x2db2b5hh47mwazyhy7pp8k-icedtea-3.7.0
 + icedtea	3.7.0	doc	/gnu/store/59iksqbfzx415rwiw5cdz5x4i447fxf7-icedtea-3.7.0-doc
 + icedtea	3.7.0	jdk	/gnu/store/4gqcigy8pax6q7zs146lrk0pmqg92rff-icedtea-3.7.0-jdk
 - icedtea	3.7.0	jdk	/gnu/store/mlldkkmkqwxazvsjk3db9kf9nbvg6fj9-icedtea-3.7.0-jdk
 - icedtea	3.7.0	doc	/gnu/store/84ijp91xcibg9bkg8ggs546lbvymc0cx-icedtea-3.7.0-doc
 - icedtea	3.7.0	out	/gnu/store/cvbql6ryimlcp4q2jgbkx116d87iy2zc-icedtea-3.7.0
--8<---------------cut here---------------end--------------->8---

Thanks.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37